import type { Metadata } from "next";
import { Geist, Geist_Mono } from "next/font/google";
import "./globals.css";
import { ApiKeyProvider } from "../context/ApiKeyContext"; // Import the provider
import Header from "@/components/header";
import 'bootstrap/dist/css/bootstrap.min.css';
import '/public/css/templatemo-topic-listing.css';



const geistSans = Geist({
  variable: "--font-geist-sans",
  subsets: ["latin"],
});

const geistMono = Geist_Mono({
  variable: "--font-geist-mono",
  subsets: ["latin"],
});

export const metadata: Metadata = {
  title: "Tammeir AI Power House",
  description: "A toolhouse for ai smart assistance",
};

export default function RootLayout({
  children,
}: Readonly<{
  children: React.ReactNode;
}>) {
  return (
    <html lang="en">
      <head>
        <Header/>
        
      </head>
      {/* <Nav/> */}
      <body
        className={`${geistSans.variable} ${geistMono.variable} antialiased`}
       
      >
         <ApiKeyProvider> {/* Wrap with API Key Provider */}
          {children}
        </ApiKeyProvider>
      </body>
   
    </html>
  );
}


